deprecated
Reorder Validate
Deprecated since 4.78. Use Reorder Validate, which takes the order UUID in the path and is what the PAR apps call. This endpoint keeps working for existing integrations.
Validates reorder attempt, i.e., checks whether it is possible to proceed with reorder flow and provides info about what changed since the order has been created. The API endpoint requires authorization token, i.e., only signed in customers can use it.
Headers
- Type: stringApplicationrequired
White Label Application Key
Body
application/json
- Type: stringorder
_id requiredThe UUID of the order used for reordering.
Responses
- application/json
Request Example for post/cart/reorder/validate
curl https://api-public-demo.menu.app/api/cart/reorder/validate \
--request POST \
--header 'Application: ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"order_id": ""
}'
{
"status": "string",
"code": "string",
"data": {
"cart_reorder": {
"order_id": "string",
"venue_id": "string",
"application_type_id": 0,
"order_type_id": 0,
"can_proceed": true,
"status": {
"is_venue_changed": true,
"is_application_changed": true,
"is_order_type_changed": true,
"is_price_summary_changed": true,
"is_delivery_location_valid": true,
"unavailable_items": [
{
"order_item_id": "string"
}
],
"item_price_changes": [
{
"order_item_id": "string",
"reorder_price": 0,
"original_price": 0
}
],
"fee_price_changes": [
{
"id": "string",
"type_id": 1,
"reorder_price": 0,
"original_price": 0
}
]
},
"errors": [
{
"code": 1000,
"message": "string"
}
]
}
}
}